<template>
    <block type="feedback" v-bind="params">
        <div class="container">
            <section-title v-if="params.header" v-bind="params.header"></section-title>
            <div class="section-feedbacks__items">
                <card-feedback v-for="(item, index) in itemsVisible" :key="index" :index="index" :item="item"></card-feedback>
            </div>
        </div>
    </block>
</template>


<script>
export default {
    props: {
    	content: {
            type: Object,
            default: () => {
                return {
                    items: require('@js/samples').default.load('feedback')
                }
            }
        },
        params: {
            type: Object,
            default: () => {
                return ({})
            }
        }
    },
    data() {
        return {}
    },
    computed: {
        itemsVisible: function () {
            return  this.content.items.slice(0, 4);
        }
    }
}
</script>
